%generamos una curva
clear
dt=0.5; %defino intervalo de tiempos, o tiempo de sampleo.
t=0:dt:1e5;  %defino el vector de tiempos

y=cos(2*pi*t*0.1)+0.01*cos(2*pi*t*0.025); %sta es la funcin; suma de dos 
%funciones armnicas, una con f=0.1 Hz y otra con 0.025 Hz
figure(1),plot(t,y);
%%
%SON MUCHOS PUNTOS: Entonces grafico slo una parte, para que se entienda
%lo que quiero mostrar
largo=500;
figure(2),plot(t(1:largo),y(1:largo));
%%
%Sigue siendo inaceptable para presentar; falta definir quines son los
%ejes x e y
figure(3),plot(t(1:largo),y(1:largo), '-o'),
xlabel('\t [s]','fontsize',14),ylabel('amplitud [U.Arb.]','fontsize',12)
%%
%obtenemos la FFT y normalizamos: 
fy=fft(y)*2/length(t);
%obtenemos la potencia espectral (mdulo cuadrado de la FFT)
%fyp=abs(fy).^2;
fyp=abs(fy);
%GENERAMOS EL VECTOR DE FRECUENCIAS!!!
%la frecuencia de sampleo es proporcional a la inversa del tiempo mximo 
% registrado (me dice cul es la frecuencia ms baja registrada)
dw=1/max(1e5);   
% de la misma manera, la frecuencia ms alta registrable tiene que ver con
% cun rpido muestreo la seal temporal, es decir, es inversamente
% proporcional al intervalo de tiempos
wmax=1/dt;

w=[0:length(t)-1]*dw; %wmax y el mximo de este vector deberan ser iguales
figure(43),plot(w,fyp);
%%
%cortamos el vector para que quede ms prolijo
wp=floor(length(t)/2);
w2=w(1:wp);
figure(43),plot(w2,fyp(1:wp));
%% 
%mejoramos la figura
figure(43),plot(w2,fyp(1:wp),'LineWidth',2),grid,axis([0 1 0 1.1]),box on
%agregamos rotulos Y UNIDADES en los ejes
xlabel('\nu [Hz]','fontsize',14),ylabel('potencia espectral [1/Hz]','fontsize',14)
set(gca,'FontSize',13);
drawnow;
%%

figure(44),semilogy(w2,fyp(1:wp),'LineWidth',2),grid,axis([0 1 1e-20 2]),box on
xlabel('\nu [Hz]','fontsize',14),ylabel('potencia espectral [1/Hz]','fontsize',14)
%con lo siguiente puedo poner las marcas y etiquetas de los ejes donde se
%me de la gana:
set(gca,'FontSize',12)
set(gca,'XTick',[0.025 0.1 0.2 0.4 0.6 1])
set(gca,'XTickLabel',{'.025' ,'0.1','0.2','0.4','0.6','1.0'})
%% 
%agregar texto
text(0.6,1e-5,'FFT','fontsize',18); 
text(0.3,1e-8,'$$X(k)=\sum_{j=1}^{N}x(j)e^{-\frac{2\pi i}{N}(j-1)(k-1)}$$',...
    'Interpreter','latex','fontsize',16) ;

%%

clear all

datos=load('Untitled 1_tab.csv', 'ascii' )
datos2=load('Untitled 1_coma.csv', 'ascii' )

%otra forma, ms sofisticada, por ejemplo para saltearse el encabezado
imp=importdata('Untitled2.csv',',',5); %sintaxis: 'filename','delimiter','#headerlines'
datos3=imp.data;

figure(56),plot(datos(:,2),datos(:,3),'-ok',datos2(:,2),datos2(:,3),'-+r',datos3(:,2),datos3(:,3)+1,'db') 