# -*- coding: utf-8 -*-
"""
Created on Wed Apr  3 15:46:38 2019

@author: Luciano A. Masullo, Laboratorio 2, 1er C 2019, DF-FCEyN, UBA
"""

import numpy as np
import matplotlib.pyplot as plt

π = np.pi

### Parámetros de la señal

# Vayan modificando estos parámetros para entender qué es cada uno

fmax = 1500 # frecuencia máxima
dt = 1.0 / fmax # intervalo temporal mínimo correspondiente

N = 10000 # determino cantidad de puntos, ¿Qué cambia al cambiar este valor?
t = np.arange(0, dt * N, dt) # defino array de tiempos

f1 = 300.0
f2 = 180.0

### Defino la señal

y = np.sin(2*π*f1*t) + 0.5*np.sin(2*π*f2*t)

### Grafico la señal

plt.subplot(2, 1, 1)
plt.plot(t, y, 'k-')
plt.xlabel('Tiempo')
plt.ylabel('Amplitud')

plt.xlim(0, 10/f1)     # con esta línea pueden graficar sólo los primeros 10 períodos
    
### FFT normalizada

plt.subplot(2, 1, 2)

freq = np.linspace(0.0, 1.0/(2.0*dt), N//2) # desde 0.0 hasta fmax/2

C = N/2 # factor de normalización

Y = np.fft.fft(y) / C # fft normalizada, ojo: devuelve valores complejos y un array "doble" espejado

plt.plot(freq, np.abs(Y[np.arange(N // 2)]), 'r-') # tomo el valor absoluto y la mitad
plt.xlabel('Frecuencia')
plt.ylabel('Amplitud_freq')

plt.xlim(0, 500)

plt.show()