# -*- coding: utf-8 -*-
"""
Created on Tue Jan 29 15:35:25 2019

@author: Cibion
"""

import numpy as np 
import matplotlib.pyplot as plt

π = np.pi
#λ = 1
#k = (2*π)/λ
#A = 1
xmin = 0
xmax = 60
npoints = 200

x = np.around(np.linspace(xmin, xmax, npoints), 2)


A = 2.2

T = 18
f = 1/T
ω = (2*π)* f

Φ = 0.5

y0 = 1.0

y = A * np.sin(ω*x + Φ) + y0

σ = .2
σ_array = np.ones(len(y)) * σ

datasim = np.around(np.random.normal(y, σ), 2)

#np.save('datos_ejemplo_0', x)
#np.save('datos_ejemplo_1', datasim)
#np.save('errores_ejemplo_1', σ)

plt.figure('Mediciones de ejemplo')
plt.xlabel('Tiempo (ms)')
plt.ylabel('Amplitud (V)')
plt.errorbar(x, datasim, yerr=σ, fmt='ko', capsize=5)
plt.grid(True)

data = np.zeros((npoints, 3))

data[:, 0] = datasim
data[:, 1] = σ_array
data[:, 2] = x

np.savetxt("datos_nolineal.txt", data, delimiter="\t", fmt='%.2f')